> For a complete page index, fetch https://developer.close.com/llms.txt # List User Scheduling Links GET https://api.close.com/api/v1/scheduling_link/ Reference: https://developer.close.com/api/resources/scheduling-links/list ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "data": [ { "description": "Description of Example Scheduling Link", "duration_in_minutes": null, "id": "schlnk_2xfNHpU6cjThMuhioZ3GjX", "name": "Example Scheduling Link", "oauth_client_id": null, "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "source": "MANUAL", "source_id": null, "source_type": null, "template_tag": null, "type": "USER", "url": "https://example.com/schedule", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "description": "Let's find a time to meet!", "duration_in_minutes": 60, "id": "schlnk_2xfNHpU6cjThMuhioZ3GjX", "name": "Chat with Us", "oauth_client_id": "oa2client_5NvOjgHYKHkbBjv5Rmiyfp", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "source": "THIRD_PARTY", "source_id": "74241bb7-3436-4228-9b76-392ef7a443ee", "source_type": "Multi-Use", "template_tag": null, "type": "USER", "url": "https://your-app.example.com/link/example/", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "description": null, "duration_in_minutes": 30, "id": "schlnk_6R2iZqSRXk1ZPLXXqn83LB", "name": "30 Minute Meeting", "oauth_client_id": null, "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "source": "CALENDLY", "source_id": "fe722374-9993-45f7-8c4c-c2004ec78940", "source_type": "Solo", "template_tag": null, "type": "USER", "url": "https://calendly.com/username/30min", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ], "has_more": false } ``` **SDK Code** ```python scheduling_links_list_example import requests url = "https://api.close.com/api/v1/scheduling_link/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript scheduling_links_list_example const url = 'https://api.close.com/api/v1/scheduling_link/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go scheduling_links_list_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/scheduling_link/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby scheduling_links_list_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/scheduling_link/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java scheduling_links_list_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/scheduling_link/") .basicAuth("", "") .asString(); ``` ```php scheduling_links_list_example request('GET', 'https://api.close.com/api/v1/scheduling_link/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp scheduling_links_list_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/scheduling_link/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```